VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisimBox.Scene.NodeImportSettings Class Reference

Settings for node importing. More...

List of all members.

## Public Member Functions
| NodeImportSettings ()
| NodeImportSettings (NodeImportSettings copy)
| NodeImportSettings (XmlReader reader)
void | SetDefaults ()
System.Xml.Schema.XmlSchema | GetSchema ()
| Reqired by IXMLserializable.
void | ReadXml (System.Xml.XmlReader reader)
| Deserializes object from XML.
void | WriteXml (System.Xml.XmlWriter writer)
| Serializes object to XML.
## Properties
bool | ImportMaterials`[get, set]`
| import and use materials? otherwise imported nodes will be used "default" material from the renderer
float | DefaultScale`[get, set]`
| Default scale for the position vertices (for models made in centimeters/inches)
ITransformation | DefaultTrans`[get, set]`
| Transformation to use on loaded vertices / normals (after DefaultScale used on positions)
bool | AsGeometryNodes`[get, set]`
| Use geometry nodes for holding imported data, or just use direct rendering objects?
bool | BoundingBoxesForSubnodes`[get, set]`
| If true, all subnodes will have their own bounding boxes set.
bool | BoundingBoxForHolder`[get, set]`
| If true, holder of the imported nodes will have bounding box updated to hold all subnodes.

## Detailed Description

Settings for node importing.

## Constructor & Destructor Documentation

VisimBox.Scene.NodeImportSettings.NodeImportSettings | ( |  | ) |

VisimBox.Scene.NodeImportSettings.NodeImportSettings | ( | NodeImportSettings | copy | ) |

VisimBox.Scene.NodeImportSettings.NodeImportSettings | ( | XmlReader | reader | ) |

## Member Function Documentation

System.Xml.Schema.XmlSchema VisimBox.Scene.NodeImportSettings.GetSchema | ( |  | ) |

Reqired by IXMLserializable.

Returns:
  Null

void VisimBox.Scene.NodeImportSettings.ReadXml | ( | System.Xml.XmlReader | reader | ) |

Deserializes object from XML.

Parameters:

  reader | XML reader

void VisimBox.Scene.NodeImportSettings.SetDefaults | ( |  | ) |

void VisimBox.Scene.NodeImportSettings.WriteXml | ( | System.Xml.XmlWriter | writer | ) |

Serializes object to XML.

Parameters:

  writer | XML writer to save values

## Property Documentation

bool VisimBox.Scene.NodeImportSettings.AsGeometryNodes`[get, set]`

Use geometry nodes for holding imported data, or just use direct rendering objects?

bool VisimBox.Scene.NodeImportSettings.BoundingBoxesForSubnodes`[get, set]`

If true, all subnodes will have their own bounding boxes set.

bool VisimBox.Scene.NodeImportSettings.BoundingBoxForHolder`[get, set]`

If true, holder of the imported nodes will have bounding box updated to hold all subnodes.

float VisimBox.Scene.NodeImportSettings.DefaultScale`[get, set]`

Default scale for the position vertices (for models made in centimeters/inches)

ITransformation VisimBox.Scene.NodeImportSettings.DefaultTrans`[get, set]`

Transformation to use on loaded vertices / normals (after DefaultScale used on positions)

bool VisimBox.Scene.NodeImportSettings.ImportMaterials`[get, set]`

import and use materials? otherwise imported nodes will be used "default" material from the renderer

The documentation for this class was generated from the following file:

- LightWaveObjImporter.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events